Subject: bug#19946: 24.4; js-mode, indentation

From: Andreas Schwab <[email-masked]>
Date: Sun, 20 Mar 2016 09:25:03 +0100

Dmitry Gutov <[email-masked]> writes:

> On 03/20/2016 12:13 AM, Simen Heggestøyl wrote:
>> Can confirm that this bug is still present on the current master branch
>> (070b9de). The following patch seems to fix it:
>
> I do not mind, but I'm not sure if we actually want to support this
> usage. There are a lot regexps in lisp/progmodes that use $. There are
> several in js-mode, aside from this one.

I wonder why ?\r doesn't have whitespace syntax in the first place.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."